/* soapH.h
   Generated by gSOAP 2.7.17 from c/sciwbs.h
   Copyright(C) 2000-2010, Robert van Engelen, Genivia Inc. All Rights Reserved.
   This part of the software is released under one of the following licenses:
   GPL, the gSOAP public license, or Genivia's license for commercial use.
*/

#ifndef soapH_H
#define soapH_H
#include "soapStub.h"
#ifdef __cplusplus
extern "C" {
#endif
#ifndef WITH_NOIDREF
SOAP_FMAC3 void SOAP_FMAC4 soap_markelement(struct soap*, const void*, int);
SOAP_FMAC3 int SOAP_FMAC4 soap_putelement(struct soap*, const void*, const char*, int, int);
SOAP_FMAC3 void *SOAP_FMAC4 soap_getelement(struct soap*, int*);
SOAP_FMAC3 int SOAP_FMAC4 soap_putindependent(struct soap*);
SOAP_FMAC3 int SOAP_FMAC4 soap_getindependent(struct soap*);
#endif
SOAP_FMAC3 int SOAP_FMAC4 soap_ignore_element(struct soap*);

#ifndef SOAP_TYPE_byte
#define SOAP_TYPE_byte (3)
#endif

#ifndef SOAP_TYPE_int
#define SOAP_TYPE_int (1)
#endif

#ifndef SOAP_TYPE_double
#define SOAP_TYPE_double (12)
#endif

#ifndef SOAP_TYPE_boolean
#define SOAP_TYPE_boolean (50)
#endif

#ifndef SOAP_TYPE_SOAP_ENV__Fault
#define SOAP_TYPE_SOAP_ENV__Fault (33)
#endif

#ifndef SOAP_TYPE_SOAP_ENV__Reason
#define SOAP_TYPE_SOAP_ENV__Reason (32)
#endif

#ifndef SOAP_TYPE_SOAP_ENV__Detail
#define SOAP_TYPE_SOAP_ENV__Detail (29)
#endif

#ifndef SOAP_TYPE_ns1__listFunctions
#define SOAP_TYPE_ns1__listFunctions (25)
#endif

#ifndef SOAP_TYPE_SOAP_ENV__Code
#define SOAP_TYPE_SOAP_ENV__Code (27)
#endif

#ifndef SOAP_TYPE_ns1__listFunctionsResponse
#define SOAP_TYPE_ns1__listFunctionsResponse (21)
#endif

#ifndef SOAP_TYPE_ns1__add
#define SOAP_TYPE_ns1__add (20)
#endif

#ifndef SOAP_TYPE_ns1__addResponse
#define SOAP_TYPE_ns1__addResponse (16)
#endif

#ifndef SOAP_TYPE_ns1__MatrixOfComplex
#define SOAP_TYPE_ns1__MatrixOfComplex (13)
#endif

#ifndef SOAP_TYPE_ns1__StringList
#define SOAP_TYPE_ns1__StringList (10)
#endif

#ifndef SOAP_TYPE_ns1__DoubleElement
#define SOAP_TYPE_ns1__DoubleElement (8)
#endif

#ifndef SOAP_TYPE_ns1__BooleanElement
#define SOAP_TYPE_ns1__BooleanElement (51)
#endif

#ifndef SOAP_TYPE_ns1__ComplexElement
#define SOAP_TYPE_ns1__ComplexElement (14)
#endif

#ifndef SOAP_TYPE_ns1__MatrixOfDouble
#define SOAP_TYPE_ns1__MatrixOfDouble (7)
#endif

#ifndef SOAP_TYPE_ns1__SparseMatrixOfDouble
#define SOAP_TYPE_ns1__SparseMatrixOfDouble (57)
#endif

#ifndef SOAP_TYPE_ns1__SparseMatrixOfComplex
#define SOAP_TYPE_ns1__SparseMatrixOfComplex (59)
#endif

#ifndef SOAP_TYPE_ns1__MatrixOfBoolean
#define SOAP_TYPE_ns1__MatrixOfBoolean (53)
#endif

#ifndef SOAP_TYPE_ns1__SparseMatrixOfBoolean
#define SOAP_TYPE_ns1__SparseMatrixOfBoolean (55)
#endif

#ifndef SOAP_TYPE_PointerToSOAP_ENV__Detail
#define SOAP_TYPE_PointerToSOAP_ENV__Detail (34)
#endif

#ifndef SOAP_TYPE_PointerToSOAP_ENV__Reason
#define SOAP_TYPE_PointerToSOAP_ENV__Reason (35)
#endif

#ifndef SOAP_TYPE_PointerToSOAP_ENV__Code
#define SOAP_TYPE_PointerToSOAP_ENV__Code (28)
#endif

#ifndef SOAP_TYPE_PointerTons1__listFunctionsResponse
#define SOAP_TYPE_PointerTons1__listFunctionsResponse (23)
#endif

#ifndef SOAP_TYPE_PointerTons1__StringList
#define SOAP_TYPE_PointerTons1__StringList (22)
#endif

#ifndef SOAP_TYPE_PointerTons1__addResponse
#define SOAP_TYPE_PointerTons1__addResponse (18)
#endif

#ifndef SOAP_TYPE_PointerTons1__MatrixOfDouble
#define SOAP_TYPE_PointerTons1__MatrixOfDouble (17)
#endif

#ifndef SOAP_TYPE_PointerTons1__SparseMatrixOfDouble
#define SOAP_TYPE_PointerTons1__SparseMatrixOfDouble (58)
#endif

#ifndef SOAP_TYPE_PointerTons1__SparseMatrixOfComplex
#define SOAP_TYPE_PointerTons1__SparseMatrixOfComplex (60)
#endif

#ifndef SOAP_TYPE_PointerTons1__MatrixOfBoolean
#define SOAP_TYPE_PointerTons1__MatrixOfBoolean (54)
#endif

#ifndef SOAP_TYPE_PointerTons1__SparseMatrixOfBoolean
#define SOAP_TYPE_PointerTons1__SparseMatrixOfBoolean (56)
#endif

#ifndef SOAP_TYPE_PointerTons1__ComplexElement
#define SOAP_TYPE_PointerTons1__ComplexElement (15)
#endif


#ifndef SOAP_TYPE_PointerTostring
#define SOAP_TYPE_PointerTostring (11)
#endif

#ifndef SOAP_TYPE_PointerTons1__DoubleElement
#define SOAP_TYPE_PointerTons1__DoubleElement (9)
#endif

#ifndef SOAP_TYPE_PointerTons1__BooleanElement
#define SOAP_TYPE_PointerTons1__BooleanElement (52)
#endif

#ifndef SOAP_TYPE__QName
#define SOAP_TYPE__QName (5)
#endif

#ifndef SOAP_TYPE_string
#define SOAP_TYPE_string (4)
#endif

SOAP_FMAC3 void SOAP_FMAC4 soap_default_byte(struct soap*, char *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_byte(struct soap*, const char*, int, const char *, const char*);
SOAP_FMAC3 char * SOAP_FMAC4 soap_in_byte(struct soap*, const char*, char *, const char*);

#define soap_write_byte(soap, data) ( soap_begin_send(soap) || soap_put_byte(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_byte(struct soap*, const char *, const char*, const char*);

#define soap_read_byte(soap, data) ( soap_begin_recv(soap) || !soap_get_byte(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 char * SOAP_FMAC4 soap_get_byte(struct soap*, char *, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_default_int(struct soap*, int *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_int(struct soap*, const char*, int, const int *, const char*);
SOAP_FMAC3 int * SOAP_FMAC4 soap_in_int(struct soap*, const char*, int *, const char*);

#define soap_write_int(soap, data) ( soap_begin_send(soap) || soap_put_int(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_int(struct soap*, const int *, const char*, const char*);

#define soap_read_int(soap, data) ( soap_begin_recv(soap) || !soap_get_int(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 int * SOAP_FMAC4 soap_get_int(struct soap*, int *, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_default_double(struct soap*, double *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_double(struct soap*, const char*, int, const double *, const char*);
SOAP_FMAC3 double * SOAP_FMAC4 soap_in_double(struct soap*, const char*, double *, const char*);

#define soap_write_double(soap, data) ( soap_begin_send(soap) || soap_put_double(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_double(struct soap*, const double *, const char*, const char*);

#define soap_read_double(soap, data) ( soap_begin_recv(soap) || !soap_get_double(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 double * SOAP_FMAC4 soap_get_double(struct soap*, double *, const char*, const char*);



SOAP_FMAC3 void SOAP_FMAC4 soap_default_boolean(struct soap*, bool *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_boolean(struct soap*, const char*, int, const bool *, const char*);
SOAP_FMAC3 bool * SOAP_FMAC4 soap_in_boolean(struct soap*, const char*, bool *, const char*);

#define soap_write_boolean(soap, data) ( soap_begin_send(soap) || soap_put_boolean(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_boolean(struct soap*, const bool *, const char*, const char*);

#define soap_read_boolean(soap, data) ( soap_begin_recv(soap) || !soap_get_boolean(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 bool * SOAP_FMAC4 soap_get_boolean(struct soap*, bool *, const char*, const char*);


#ifndef WITH_NOGLOBAL


SOAP_FMAC3 void SOAP_FMAC4 soap_default_SOAP_ENV__Fault(struct soap*, struct SOAP_ENV__Fault *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_SOAP_ENV__Fault(struct soap*, const struct SOAP_ENV__Fault *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_SOAP_ENV__Fault(struct soap*, const char*, int, const struct SOAP_ENV__Fault *, const char*);
SOAP_FMAC3 struct SOAP_ENV__Fault * SOAP_FMAC4 soap_in_SOAP_ENV__Fault(struct soap*, const char*, struct SOAP_ENV__Fault *, const char*);

#define soap_write_SOAP_ENV__Fault(soap, data) ( soap_begin_send(soap) || (soap_serialize_SOAP_ENV__Fault(soap, data), 0) || soap_put_SOAP_ENV__Fault(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_SOAP_ENV__Fault(struct soap*, const struct SOAP_ENV__Fault *, const char*, const char*);

#define soap_read_SOAP_ENV__Fault(soap, data) ( soap_begin_recv(soap) || !soap_get_SOAP_ENV__Fault(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct SOAP_ENV__Fault * SOAP_FMAC4 soap_get_SOAP_ENV__Fault(struct soap*, struct SOAP_ENV__Fault *, const char*, const char*);

#endif

#ifndef WITH_NOGLOBAL


SOAP_FMAC3 void SOAP_FMAC4 soap_default_SOAP_ENV__Reason(struct soap*, struct SOAP_ENV__Reason *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_SOAP_ENV__Reason(struct soap*, const struct SOAP_ENV__Reason *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_SOAP_ENV__Reason(struct soap*, const char*, int, const struct SOAP_ENV__Reason *, const char*);
SOAP_FMAC3 struct SOAP_ENV__Reason * SOAP_FMAC4 soap_in_SOAP_ENV__Reason(struct soap*, const char*, struct SOAP_ENV__Reason *, const char*);

#define soap_write_SOAP_ENV__Reason(soap, data) ( soap_begin_send(soap) || (soap_serialize_SOAP_ENV__Reason(soap, data), 0) || soap_put_SOAP_ENV__Reason(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_SOAP_ENV__Reason(struct soap*, const struct SOAP_ENV__Reason *, const char*, const char*);

#define soap_read_SOAP_ENV__Reason(soap, data) ( soap_begin_recv(soap) || !soap_get_SOAP_ENV__Reason(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct SOAP_ENV__Reason * SOAP_FMAC4 soap_get_SOAP_ENV__Reason(struct soap*, struct SOAP_ENV__Reason *, const char*, const char*);

#endif

#ifndef WITH_NOGLOBAL


SOAP_FMAC3 void SOAP_FMAC4 soap_default_SOAP_ENV__Detail(struct soap*, struct SOAP_ENV__Detail *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_SOAP_ENV__Detail(struct soap*, const struct SOAP_ENV__Detail *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_SOAP_ENV__Detail(struct soap*, const char*, int, const struct SOAP_ENV__Detail *, const char*);
SOAP_FMAC3 struct SOAP_ENV__Detail * SOAP_FMAC4 soap_in_SOAP_ENV__Detail(struct soap*, const char*, struct SOAP_ENV__Detail *, const char*);

#define soap_write_SOAP_ENV__Detail(soap, data) ( soap_begin_send(soap) || (soap_serialize_SOAP_ENV__Detail(soap, data), 0) || soap_put_SOAP_ENV__Detail(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_SOAP_ENV__Detail(struct soap*, const struct SOAP_ENV__Detail *, const char*, const char*);

#define soap_read_SOAP_ENV__Detail(soap, data) ( soap_begin_recv(soap) || !soap_get_SOAP_ENV__Detail(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct SOAP_ENV__Detail * SOAP_FMAC4 soap_get_SOAP_ENV__Detail(struct soap*, struct SOAP_ENV__Detail *, const char*, const char*);

#endif

#ifndef WITH_NOGLOBAL


SOAP_FMAC3 void SOAP_FMAC4 soap_default_SOAP_ENV__Code(struct soap*, struct SOAP_ENV__Code *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_SOAP_ENV__Code(struct soap*, const struct SOAP_ENV__Code *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_SOAP_ENV__Code(struct soap*, const char*, int, const struct SOAP_ENV__Code *, const char*);
SOAP_FMAC3 struct SOAP_ENV__Code * SOAP_FMAC4 soap_in_SOAP_ENV__Code(struct soap*, const char*, struct SOAP_ENV__Code *, const char*);

#define soap_write_SOAP_ENV__Code(soap, data) ( soap_begin_send(soap) || (soap_serialize_SOAP_ENV__Code(soap, data), 0) || soap_put_SOAP_ENV__Code(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_SOAP_ENV__Code(struct soap*, const struct SOAP_ENV__Code *, const char*, const char*);

#define soap_read_SOAP_ENV__Code(soap, data) ( soap_begin_recv(soap) || !soap_get_SOAP_ENV__Code(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct SOAP_ENV__Code * SOAP_FMAC4 soap_get_SOAP_ENV__Code(struct soap*, struct SOAP_ENV__Code *, const char*, const char*);

#endif

#ifndef WITH_NOGLOBAL


SOAP_FMAC3 void SOAP_FMAC4 soap_default_SOAP_ENV__Header(struct soap*, struct SOAP_ENV__Header *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_SOAP_ENV__Header(struct soap*, const struct SOAP_ENV__Header *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_SOAP_ENV__Header(struct soap*, const char*, int, const struct SOAP_ENV__Header *, const char*);
SOAP_FMAC3 struct SOAP_ENV__Header * SOAP_FMAC4 soap_in_SOAP_ENV__Header(struct soap*, const char*, struct SOAP_ENV__Header *, const char*);

#define soap_write_SOAP_ENV__Header(soap, data) ( soap_begin_send(soap) || (soap_serialize_SOAP_ENV__Header(soap, data), 0) || soap_put_SOAP_ENV__Header(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_SOAP_ENV__Header(struct soap*, const struct SOAP_ENV__Header *, const char*, const char*);

#define soap_read_SOAP_ENV__Header(soap, data) ( soap_begin_recv(soap) || !soap_get_SOAP_ENV__Header(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct SOAP_ENV__Header * SOAP_FMAC4 soap_get_SOAP_ENV__Header(struct soap*, struct SOAP_ENV__Header *, const char*, const char*);

#endif


SOAP_FMAC3 void SOAP_FMAC4 soap_default_ns1__listFunctions(struct soap*, struct ns1__listFunctions *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_ns1__listFunctions(struct soap*, const struct ns1__listFunctions *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__listFunctions(struct soap*, const char*, int, const struct ns1__listFunctions *, const char*);
SOAP_FMAC3 struct ns1__listFunctions * SOAP_FMAC4 soap_in_ns1__listFunctions(struct soap*, const char*, struct ns1__listFunctions *, const char*);

#define soap_write_ns1__listFunctions(soap, data) ( soap_begin_send(soap) || (soap_serialize_ns1__listFunctions(soap, data), 0) || soap_put_ns1__listFunctions(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_ns1__listFunctions(struct soap*, const struct ns1__listFunctions *, const char*, const char*);

#define soap_read_ns1__listFunctions(soap, data) ( soap_begin_recv(soap) || !soap_get_ns1__listFunctions(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct ns1__listFunctions * SOAP_FMAC4 soap_get_ns1__listFunctions(struct soap*, struct ns1__listFunctions *, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_default_ns1__listFunctionsResponse(struct soap*, struct ns1__listFunctionsResponse *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_ns1__listFunctionsResponse(struct soap*, const struct ns1__listFunctionsResponse *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__listFunctionsResponse(struct soap*, const char*, int, const struct ns1__listFunctionsResponse *, const char*);
SOAP_FMAC3 struct ns1__listFunctionsResponse * SOAP_FMAC4 soap_in_ns1__listFunctionsResponse(struct soap*, const char*, struct ns1__listFunctionsResponse *, const char*);

#define soap_write_ns1__listFunctionsResponse(soap, data) ( soap_begin_send(soap) || (soap_serialize_ns1__listFunctionsResponse(soap, data), 0) || soap_put_ns1__listFunctionsResponse(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_ns1__listFunctionsResponse(struct soap*, const struct ns1__listFunctionsResponse *, const char*, const char*);

#define soap_read_ns1__listFunctionsResponse(soap, data) ( soap_begin_recv(soap) || !soap_get_ns1__listFunctionsResponse(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct ns1__listFunctionsResponse * SOAP_FMAC4 soap_get_ns1__listFunctionsResponse(struct soap*, struct ns1__listFunctionsResponse *, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_default_ns1__add(struct soap*, struct ns1__add *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_ns1__add(struct soap*, const struct ns1__add *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__add(struct soap*, const char*, int, const struct ns1__add *, const char*);
SOAP_FMAC3 struct ns1__add * SOAP_FMAC4 soap_in_ns1__add(struct soap*, const char*, struct ns1__add *, const char*);

#define soap_write_ns1__add(soap, data) ( soap_begin_send(soap) || (soap_serialize_ns1__add(soap, data), 0) || soap_put_ns1__add(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_ns1__add(struct soap*, const struct ns1__add *, const char*, const char*);

#define soap_read_ns1__add(soap, data) ( soap_begin_recv(soap) || !soap_get_ns1__add(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct ns1__add * SOAP_FMAC4 soap_get_ns1__add(struct soap*, struct ns1__add *, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_default_ns1__addResponse(struct soap*, struct ns1__addResponse *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_ns1__addResponse(struct soap*, const struct ns1__addResponse *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__addResponse(struct soap*, const char*, int, const struct ns1__addResponse *, const char*);
SOAP_FMAC3 struct ns1__addResponse * SOAP_FMAC4 soap_in_ns1__addResponse(struct soap*, const char*, struct ns1__addResponse *, const char*);

#define soap_write_ns1__addResponse(soap, data) ( soap_begin_send(soap) || (soap_serialize_ns1__addResponse(soap, data), 0) || soap_put_ns1__addResponse(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_ns1__addResponse(struct soap*, const struct ns1__addResponse *, const char*, const char*);

#define soap_read_ns1__addResponse(soap, data) ( soap_begin_recv(soap) || !soap_get_ns1__addResponse(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct ns1__addResponse * SOAP_FMAC4 soap_get_ns1__addResponse(struct soap*, struct ns1__addResponse *, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_default_ns1__ComplexElement(struct soap*, struct ns1__ComplexElement *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_ns1__ComplexElement(struct soap*, const struct ns1__ComplexElement *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__ComplexElement(struct soap*, const char*, int, const struct ns1__ComplexElement *, const char*);
SOAP_FMAC3 struct ns1__ComplexElement * SOAP_FMAC4 soap_in_ns1__ComplexElement(struct soap*, const char*, struct ns1__ComplexElement *, const char*);

#define soap_write_ns1__ComplexElement(soap, data) ( soap_begin_send(soap) || (soap_serialize_ns1__ComplexElement(soap, data), 0) || soap_put_ns1__ComplexElement(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_ns1__ComplexElement(struct soap*, const struct ns1__ComplexElement *, const char*, const char*);

#define soap_read_ns1__ComplexElement(soap, data) ( soap_begin_recv(soap) || !soap_get_ns1__ComplexElement(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct ns1__ComplexElement * SOAP_FMAC4 soap_get_ns1__ComplexElement(struct soap*, struct ns1__ComplexElement *, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_default_ns1__MatrixOfComplex(struct soap*, ScilabStruct *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_ns1__MatrixOfComplex(struct soap*, const ScilabStruct *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__MatrixOfComplex(struct soap*, const char*, int, const ScilabStruct *, const char*);
SOAP_FMAC3 ScilabStruct * SOAP_FMAC4 soap_in_ns1__MatrixOfComplex(struct soap*, const char*, ScilabStruct *, const char*);

#define soap_write_ns1__MatrixOfComplex(soap, data) ( soap_begin_send(soap) || (soap_serialize_ns1__MatrixOfComplex(soap, data), 0) || soap_put_ns1__MatrixOfComplex(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_ns1__MatrixOfComplex(struct soap*, const ScilabStruct *, const char*, const char*);

#define soap_read_ns1__MatrixOfComplex(soap, data) ( soap_begin_recv(soap) || !soap_get_ns1__MatrixOfComplex(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 ScilabStruct * SOAP_FMAC4 soap_get_ns1__MatrixOfComplex(struct soap*, ScilabStruct *, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_default_ns1__StringList(struct soap*, struct ns1__StringList *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_ns1__StringList(struct soap*, const struct ns1__StringList *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__StringList(struct soap*, const char*, int, const struct ns1__StringList *, const char*);
SOAP_FMAC3 struct ns1__StringList * SOAP_FMAC4 soap_in_ns1__StringList(struct soap*, const char*, struct ns1__StringList *, const char*);

#define soap_write_ns1__StringList(soap, data) ( soap_begin_send(soap) || (soap_serialize_ns1__StringList(soap, data), 0) || soap_put_ns1__StringList(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_ns1__StringList(struct soap*, const struct ns1__StringList *, const char*, const char*);

#define soap_read_ns1__StringList(soap, data) ( soap_begin_recv(soap) || !soap_get_ns1__StringList(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct ns1__StringList * SOAP_FMAC4 soap_get_ns1__StringList(struct soap*, struct ns1__StringList *, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_default_ns1__DoubleElement(struct soap*, struct ns1__DoubleElement *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_ns1__DoubleElement(struct soap*, const struct ns1__DoubleElement *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__DoubleElement(struct soap*, const char*, int, const struct ns1__DoubleElement *, const char*);
SOAP_FMAC3 struct ns1__DoubleElement * SOAP_FMAC4 soap_in_ns1__DoubleElement(struct soap*, const char*, struct ns1__DoubleElement *, const char*);

#define soap_write_ns1__DoubleElement(soap, data) ( soap_begin_send(soap) || (soap_serialize_ns1__DoubleElement(soap, data), 0) || soap_put_ns1__DoubleElement(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_ns1__DoubleElement(struct soap*, const struct ns1__DoubleElement *, const char*, const char*);

#define soap_read_ns1__DoubleElement(soap, data) ( soap_begin_recv(soap) || !soap_get_ns1__DoubleElement(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct ns1__DoubleElement * SOAP_FMAC4 soap_get_ns1__DoubleElement(struct soap*, struct ns1__DoubleElement *, const char*, const char*);



SOAP_FMAC3 void SOAP_FMAC4 soap_default_ns1__BooleanElement(struct soap*, struct ns1__BooleanElement *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_ns1__BooleanElement(struct soap*, const struct ns1__BooleanElement *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__BooleanElement(struct soap*, const char*, int, const struct ns1__BooleanElement *, const char*);
SOAP_FMAC3 struct ns1__BooleanElement * SOAP_FMAC4 soap_in_ns1__BooleanElement(struct soap*, const char*, struct ns1__BooleanElement *, const char*);

#define soap_write_ns1__BooleanElement(soap, data) ( soap_begin_send(soap) || (soap_serialize_ns1__BooleanElement(soap, data), 0) || soap_put_ns1__BooleanElement(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_ns1__BooleanElement(struct soap*, const struct ns1__BooleanElement *, const char*, const char*);

#define soap_read_ns1__BooleanElement(soap, data) ( soap_begin_recv(soap) || !soap_get_ns1__BooleanElement(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct ns1__BooleanElement * SOAP_FMAC4 soap_get_ns1__BooleanElement(struct soap*, struct ns1__BooleanElement *, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_default_ns1__ScilabStruct(struct soap*, ScilabStruct *);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_ns1__ScilabStruct(struct soap*, const ScilabStruct *);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__ScilabStruct(struct soap*, const char*, int, const ScilabStruct *, const char*);
SOAP_FMAC3 ScilabStruct * SOAP_FMAC4 soap_in_ns1__ScilabStruct(struct soap*, const char*, ScilabStruct *, const char*);

#define soap_write_ns1__ScilabStruct(soap, data) ( soap_begin_send(soap) || (soap_serialize_ns1__ScilabStruct(soap, data), 0) || soap_put_ns1__ScilabStruct(soap, data, NULL, NULL) || soap_end_send(soap) )


SOAP_FMAC3 int SOAP_FMAC4 soap_put_ns1__ScilabStruct(struct soap*, const ScilabStruct *, const char*, const char*);

#define soap_read_ns1__ScilabStruct(soap, data) ( soap_begin_recv(soap) || !soap_get_ns1__ScilabStruct(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 ScilabStruct * SOAP_FMAC4 soap_get_ns1__ScilabStruct(struct soap*, ScilabStruct *, const char*, const char*);

SOAP_FMAC3 ScilabStruct * SOAP_FMAC4 soap_in_ns1__MatrixOfDouble(struct soap*, const char*, ScilabStruct*, const char*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__MatrixOfDouble(struct soap*, const char*, int id, const ScilabStruct*, const char*);

SOAP_FMAC3 ScilabStruct * SOAP_FMAC4 soap_in_ns1__SparseMatrixOfDouble(struct soap*, const char*, ScilabStruct*, const char*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__SparseMatrixOfDouble(struct soap*, const char*, int id, const ScilabStruct*, const char*);

SOAP_FMAC3 ScilabStruct * SOAP_FMAC4 soap_in_ns1__SparseMatrixOfComplex(struct soap*, const char*, ScilabStruct*, const char*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__SparseMatrixOfComplex(struct soap*, const char*, int id, const ScilabStruct*, const char*);

SOAP_FMAC3 ScilabStruct * SOAP_FMAC4 soap_in_ns1__MatrixOfBoolean(struct soap*, const char*, ScilabStruct*, const char*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__MatrixOfBoolean(struct soap*, const char*, int id, const ScilabStruct*, const char*);

SOAP_FMAC3 ScilabStruct * SOAP_FMAC4 soap_in_ns1__SparseMatrixOfBoolean(struct soap*, const char*, ScilabStruct*, const char*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_ns1__SparseMatrixOfBoolean(struct soap*, const char*, int id, const ScilabStruct*, const char*);

#ifndef WITH_NOGLOBAL


SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerToSOAP_ENV__Reason(struct soap*, struct SOAP_ENV__Reason *const*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerToSOAP_ENV__Reason(struct soap*, const char *, int, struct SOAP_ENV__Reason *const*, const char *);
SOAP_FMAC3 struct SOAP_ENV__Reason ** SOAP_FMAC4 soap_in_PointerToSOAP_ENV__Reason(struct soap*, const char*, struct SOAP_ENV__Reason **, const char*);

#define soap_write_PointerToSOAP_ENV__Reason(soap, data) ( soap_begin_send(soap) || (soap_serialize_PointerToSOAP_ENV__Reason(soap, data), 0) || soap_put_PointerToSOAP_ENV__Reason(soap, data, NULL, NULL) || soap_end_send(soap) )

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerToSOAP_ENV__Reason(struct soap*, struct SOAP_ENV__Reason *const*, const char*, const char*);

#define soap_read_PointerToSOAP_ENV__Reason(soap, data) ( soap_begin_recv(soap) || !soap_get_PointerToSOAP_ENV__Reason(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct SOAP_ENV__Reason ** SOAP_FMAC4 soap_get_PointerToSOAP_ENV__Reason(struct soap*, struct SOAP_ENV__Reason **, const char*, const char*);

#endif

#ifndef WITH_NOGLOBAL


SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerToSOAP_ENV__Detail(struct soap*, struct SOAP_ENV__Detail *const*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerToSOAP_ENV__Detail(struct soap*, const char *, int, struct SOAP_ENV__Detail *const*, const char *);
SOAP_FMAC3 struct SOAP_ENV__Detail ** SOAP_FMAC4 soap_in_PointerToSOAP_ENV__Detail(struct soap*, const char*, struct SOAP_ENV__Detail **, const char*);

#define soap_write_PointerToSOAP_ENV__Detail(soap, data) ( soap_begin_send(soap) || (soap_serialize_PointerToSOAP_ENV__Detail(soap, data), 0) || soap_put_PointerToSOAP_ENV__Detail(soap, data, NULL, NULL) || soap_end_send(soap) )

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerToSOAP_ENV__Detail(struct soap*, struct SOAP_ENV__Detail *const*, const char*, const char*);

#define soap_read_PointerToSOAP_ENV__Detail(soap, data) ( soap_begin_recv(soap) || !soap_get_PointerToSOAP_ENV__Detail(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct SOAP_ENV__Detail ** SOAP_FMAC4 soap_get_PointerToSOAP_ENV__Detail(struct soap*, struct SOAP_ENV__Detail **, const char*, const char*);

#endif

#ifndef WITH_NOGLOBAL


SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerToSOAP_ENV__Code(struct soap*, struct SOAP_ENV__Code *const*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerToSOAP_ENV__Code(struct soap*, const char *, int, struct SOAP_ENV__Code *const*, const char *);
SOAP_FMAC3 struct SOAP_ENV__Code ** SOAP_FMAC4 soap_in_PointerToSOAP_ENV__Code(struct soap*, const char*, struct SOAP_ENV__Code **, const char*);

#define soap_write_PointerToSOAP_ENV__Code(soap, data) ( soap_begin_send(soap) || (soap_serialize_PointerToSOAP_ENV__Code(soap, data), 0) || soap_put_PointerToSOAP_ENV__Code(soap, data, NULL, NULL) || soap_end_send(soap) )

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerToSOAP_ENV__Code(struct soap*, struct SOAP_ENV__Code *const*, const char*, const char*);

#define soap_read_PointerToSOAP_ENV__Code(soap, data) ( soap_begin_recv(soap) || !soap_get_PointerToSOAP_ENV__Code(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct SOAP_ENV__Code ** SOAP_FMAC4 soap_get_PointerToSOAP_ENV__Code(struct soap*, struct SOAP_ENV__Code **, const char*, const char*);

#endif


SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerTons1__listFunctionsResponse(struct soap*, struct ns1__listFunctionsResponse *const*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerTons1__listFunctionsResponse(struct soap*, const char *, int, struct ns1__listFunctionsResponse *const*, const char *);
SOAP_FMAC3 struct ns1__listFunctionsResponse ** SOAP_FMAC4 soap_in_PointerTons1__listFunctionsResponse(struct soap*, const char*, struct ns1__listFunctionsResponse **, const char*);

#define soap_write_PointerTons1__listFunctionsResponse(soap, data) ( soap_begin_send(soap) || (soap_serialize_PointerTons1__listFunctionsResponse(soap, data), 0) || soap_put_PointerTons1__listFunctionsResponse(soap, data, NULL, NULL) || soap_end_send(soap) )

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerTons1__listFunctionsResponse(struct soap*, struct ns1__listFunctionsResponse *const*, const char*, const char*);

#define soap_read_PointerTons1__listFunctionsResponse(soap, data) ( soap_begin_recv(soap) || !soap_get_PointerTons1__listFunctionsResponse(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct ns1__listFunctionsResponse ** SOAP_FMAC4 soap_get_PointerTons1__listFunctionsResponse(struct soap*, struct ns1__listFunctionsResponse **, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerTons1__StringList(struct soap*, struct ns1__StringList *const*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerTons1__StringList(struct soap*, const char *, int, struct ns1__StringList *const*, const char *);
SOAP_FMAC3 struct ns1__StringList ** SOAP_FMAC4 soap_in_PointerTons1__StringList(struct soap*, const char*, struct ns1__StringList **, const char*);

#define soap_write_PointerTons1__StringList(soap, data) ( soap_begin_send(soap) || (soap_serialize_PointerTons1__StringList(soap, data), 0) || soap_put_PointerTons1__StringList(soap, data, NULL, NULL) || soap_end_send(soap) )

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerTons1__StringList(struct soap*, struct ns1__StringList *const*, const char*, const char*);

#define soap_read_PointerTons1__StringList(soap, data) ( soap_begin_recv(soap) || !soap_get_PointerTons1__StringList(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct ns1__StringList ** SOAP_FMAC4 soap_get_PointerTons1__StringList(struct soap*, struct ns1__StringList **, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerTons1__addResponse(struct soap*, struct ns1__addResponse *const*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerTons1__addResponse(struct soap*, const char *, int, struct ns1__addResponse *const*, const char *);
SOAP_FMAC3 struct ns1__addResponse ** SOAP_FMAC4 soap_in_PointerTons1__addResponse(struct soap*, const char*, struct ns1__addResponse **, const char*);

#define soap_write_PointerTons1__addResponse(soap, data) ( soap_begin_send(soap) || (soap_serialize_PointerTons1__addResponse(soap, data), 0) || soap_put_PointerTons1__addResponse(soap, data, NULL, NULL) || soap_end_send(soap) )

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerTons1__addResponse(struct soap*, struct ns1__addResponse *const*, const char*, const char*);

#define soap_read_PointerTons1__addResponse(soap, data) ( soap_begin_recv(soap) || !soap_get_PointerTons1__addResponse(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct ns1__addResponse ** SOAP_FMAC4 soap_get_PointerTons1__addResponse(struct soap*, struct ns1__addResponse **, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerTons1__ScilabStruct(struct soap*, ScilabStruct *const*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerTons1__ScilabStruct(struct soap*, const char *, int, ScilabStruct *const*, const char *);
SOAP_FMAC3 ScilabStruct ** SOAP_FMAC4 soap_in_PointerTons1__ScilabStruct(struct soap*, const char*, ScilabStruct **, const char*);

#define soap_write_PointerTons1__ScilabStruct(soap, data) ( soap_begin_send(soap) || (soap_serialize_PointerTons1__ScilabStruct(soap, data), 0) || soap_put_PointerTons1__ScilabStruct(soap, data, NULL, NULL) || soap_end_send(soap) )

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerTons1__ScilabStruct(struct soap*, ScilabStruct *const*, const char*, const char*);

#define soap_read_PointerTons1__ScilabStruct(soap, data) ( soap_begin_recv(soap) || !soap_get_PointerTons1__ScilabStruct(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 ScilabStruct ** SOAP_FMAC4 soap_get_PointerTons1__ScilabStruct(struct soap*, ScilabStruct **, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerTons1__ComplexElement(struct soap*, struct ns1__ComplexElement *const*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerTons1__ComplexElement(struct soap*, const char *, int, struct ns1__ComplexElement *const*, const char *);
SOAP_FMAC3 struct ns1__ComplexElement ** SOAP_FMAC4 soap_in_PointerTons1__ComplexElement(struct soap*, const char*, struct ns1__ComplexElement **, const char*);

#define soap_write_PointerTons1__ComplexElement(soap, data) ( soap_begin_send(soap) || (soap_serialize_PointerTons1__ComplexElement(soap, data), 0) || soap_put_PointerTons1__ComplexElement(soap, data, NULL, NULL) || soap_end_send(soap) )

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerTons1__ComplexElement(struct soap*, struct ns1__ComplexElement *const*, const char*, const char*);

#define soap_read_PointerTons1__ComplexElement(soap, data) ( soap_begin_recv(soap) || !soap_get_PointerTons1__ComplexElement(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct ns1__ComplexElement ** SOAP_FMAC4 soap_get_PointerTons1__ComplexElement(struct soap*, struct ns1__ComplexElement **, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerTostring(struct soap*, char **const*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerTostring(struct soap*, const char *, int, char **const*, const char *);
SOAP_FMAC3 char *** SOAP_FMAC4 soap_in_PointerTostring(struct soap*, const char*, char ***, const char*);

#define soap_write_PointerTostring(soap, data) ( soap_begin_send(soap) || (soap_serialize_PointerTostring(soap, data), 0) || soap_put_PointerTostring(soap, data, NULL, NULL) || soap_end_send(soap) )

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerTostring(struct soap*, char **const*, const char*, const char*);

#define soap_read_PointerTostring(soap, data) ( soap_begin_recv(soap) || !soap_get_PointerTostring(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 char *** SOAP_FMAC4 soap_get_PointerTostring(struct soap*, char ***, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerTons1__DoubleElement(struct soap*, struct ns1__DoubleElement *const*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerTons1__DoubleElement(struct soap*, const char *, int, struct ns1__DoubleElement *const*, const char *);
SOAP_FMAC3 struct ns1__DoubleElement ** SOAP_FMAC4 soap_in_PointerTons1__DoubleElement(struct soap*, const char*, struct ns1__DoubleElement **, const char*);

#define soap_write_PointerTons1__DoubleElement(soap, data) ( soap_begin_send(soap) || (soap_serialize_PointerTons1__DoubleElement(soap, data), 0) || soap_put_PointerTons1__DoubleElement(soap, data, NULL, NULL) || soap_end_send(soap) )

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerTons1__DoubleElement(struct soap*, struct ns1__DoubleElement *const*, const char*, const char*);

#define soap_read_PointerTons1__DoubleElement(soap, data) ( soap_begin_recv(soap) || !soap_get_PointerTons1__DoubleElement(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct ns1__DoubleElement ** SOAP_FMAC4 soap_get_PointerTons1__DoubleElement(struct soap*, struct ns1__DoubleElement **, const char*, const char*);



SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerTons1__BooleanElement(struct soap*, struct ns1__BooleanElement *const*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerTons1__BooleanElement(struct soap*, const char *, int, struct ns1__BooleanElement *const*, const char *);
SOAP_FMAC3 struct ns1__BooleanElement ** SOAP_FMAC4 soap_in_PointerTons1__BooleanElement(struct soap*, const char*, struct ns1__BooleanElement **, const char*);

#define soap_write_PointerTons1__BooleanElement(soap, data) ( soap_begin_send(soap) || (soap_serialize_PointerTons1__BooleanElement(soap, data), 0) || soap_put_PointerTons1__BooleanElement(soap, data, NULL, NULL) || soap_end_send(soap) )

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerTons1__BooleanElement(struct soap*, struct ns1__BooleanElement *const*, const char*, const char*);

#define soap_read_PointerTons1__BooleanElement(soap, data) ( soap_begin_recv(soap) || !soap_get_PointerTons1__BooleanElement(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 struct ns1__BooleanElement ** SOAP_FMAC4 soap_get_PointerTons1__BooleanElement(struct soap*, struct ns1__BooleanElement **, const char*, const char*);


#define soap_default__QName(soap, a) soap_default_string(soap, a)


#define soap_serialize__QName(soap, a) soap_serialize_string(soap, a)

SOAP_FMAC3 int SOAP_FMAC4 soap_out__QName(struct soap*, const char*, int, char*const*, const char*);
SOAP_FMAC3 char * * SOAP_FMAC4 soap_in__QName(struct soap*, const char*, char **, const char*);

#define soap_write__QName(soap, data) ( soap_begin_send(soap) || (soap_serialize__QName(soap, data), 0) || soap_put__QName(soap, data, NULL, NULL) || soap_end_send(soap) )

SOAP_FMAC3 int SOAP_FMAC4 soap_put__QName(struct soap*, char *const*, const char*, const char*);

#define soap_read__QName(soap, data) ( soap_begin_recv(soap) || !soap_get__QName(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 char ** SOAP_FMAC4 soap_get__QName(struct soap*, char **, const char*, const char*);


SOAP_FMAC3 void SOAP_FMAC4 soap_default_string(struct soap*, char **);
SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_string(struct soap*, char *const*);
SOAP_FMAC3 int SOAP_FMAC4 soap_out_string(struct soap*, const char*, int, char*const*, const char*);
SOAP_FMAC3 char * * SOAP_FMAC4 soap_in_string(struct soap*, const char*, char **, const char*);

#define soap_write_string(soap, data) ( soap_begin_send(soap) || (soap_serialize_string(soap, data), 0) || soap_put_string(soap, data, NULL, NULL) || soap_end_send(soap) )

SOAP_FMAC3 int SOAP_FMAC4 soap_put_string(struct soap*, char *const*, const char*, const char*);

#define soap_read_string(soap, data) ( soap_begin_recv(soap) || !soap_get_string(soap, data, NULL, NULL) || soap_end_recv(soap) )

SOAP_FMAC3 char ** SOAP_FMAC4 soap_get_string(struct soap*, char **, const char*, const char*);

#ifdef __cplusplus
}
#endif

#endif

/* End of soapH.h */
